%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}

Name:           ruby-framework
Version:        3.5.1
Release:        1%{?dist}
Summary:        The Metasploit Framework

Group:          Applications/Internet
License:        BSD with copyright http://metasploit.com/svn/framework3/trunk/README
URL:            http://www.metasploit.com/framework/
Source0:        http://www.metasploit.com/releases/framework-%{version}.tar.bz2
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  ruby
#BuildArch:      noarch
Requires:       ruby(abi) >= 1.8, subversion


%description
The Metasploit Framework is a development platform for creating security tools
and exploits. The framework is used by network security professionals to
perform penetration tests, system administrators to verify patch installations,
product vendors to perform regression testing, and security researchers
world-wide. The framework is written in the Ruby programming language and
includes components written in C and assembler.


%prep
%setup -q -n msf3


%build
# Remove svn data
find . -type d -name .svn -print0 |xargs -0 rm -rf

# Remove external sources
rm -rf ./external ./documentation/samples ./data/templates/src/
find ./documentation -type f -print0 |xargs -0 chmod 0644

# Fix permissions on ~241 executable ruby files:
find . -type f -name \*.rb -print0 |while read -d $'\0' file; do
  if head -n1 "$file" |grep -q /usr/bin/env ; then
    chmod 0755 "$file"
  else
   chmod 0644 "$file"
  fi
done

cd tools
rm -rf memdump/memdump.c
cd context
make
rm Makefile cpuid-key.c stat-key.c time-key.c
cd ../..


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{ruby_sitelib}
cd ..
cp -r msf3 $RPM_BUILD_ROOT%{ruby_sitelib}
rm -rf $RPM_BUILD_ROOT%{ruby_sitelib}/msf3/documentation

mkdir -p $RPM_BUILD_ROOT%{_bindir}
for MSFBIN in msfcli msfconsole msfd msfelfscan msfencode msfgui msfmachscan msfopcode msfpayload msfpescan msfweb; do
  ln -s %{ruby_sitelib}/msf3/$MSFBIN $RPM_BUILD_ROOT%{_bindir}/
  chmod 0755 %{ruby_sitelib}/msf3/$MSFBIN || true
done


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc HACKING README documentation
%dir %{ruby_sitelib}/msf3
%{ruby_sitelib}/msf3/*
%{_bindir}/msf*

%changelog
* Wed May 19 2010 D.Johnson <fenris02@fedoraproject.org> 3.4.1-1
- initial rpm

